
import 'babel-polyfill';
// const expect = require('chai').expect;
import { ethers } from 'ethers';

import { init, getMyContract } from '../src/api/demoMETAMASK';
const bridgeAbi = require('./abi/bridge.json');
const erc20Abi = require('./abi/ERC20.json');

const bridgeContractAddress = '0x35645227C22c47Fe26953F14C8210b8Eb347CCd2';

let bridge;

describe('链接钱包', function () {
    it('连接', async function () {
        await init();
        bridge = getMyContract(bridgeAbi, bridgeContractAddress);
    })
})

describe('主币存款', function () {
    it('存款', function () {

    })
})


describe('token存款', function () {
    it('approve', function () {

    })
    it('存款', function () {

    })
})